mav_stringDisplay(3)

NAME
mav_stringDisplay - Display annotation text in a window.

LEVEL
Maverik Level 1

SYNTAX
void mav_stringDisplay(MAV_window *w, char *s, int col, int font, float x, float y);

void mav_stringDisplayLeft(MAV_window *w, char *s, int col, int font, float x, float y);

void mav_stringDisplayCentre(MAV_window *w, char *s, int col, int font, float x, float y);

void mav_stringDisplayRight(MAV_window *w, char *s, int col, int font, float x, float y);

ARGUMENTS

MAV_window *w
    Window.

char *s
    String to display.

int col
    Colour of text.

int font
    Font of text.

float x,
    (x,y) position of text in NDC (-1.0 to 1.0).

DESCRIPTION
These functions display string s in window w at position x,y with relevant justification in colour col and font font. mav_stringDisplay produces the same results as mav_stringDisplayLeft.

These functions are intended for displaying "annotation" text, which remains "glued" to the NDC plane and always legible (provided the left most edge of the text is within the window).